
/*
 *
 *	This file needs the following to be defined:
 *
 *		LList = the linked-list structure;  this must have
 *			a member pointer called 'next' of the same 
 *			type as the struct itself.
 *
 *		APPEND_TO_LL_FUNC = the append function name for this
 *			particular data type.
 *
 *		INSERT_INTO_LL_FUNC = the insert function for this
 *                      particular data type.
 *
 *		LENGTH_OF_LL_FUNC = the length-of function name for
 *			this particular data type.
 *
 * 		GET_NODE_FROM_LL_FUNC = the get-node function name for
 *			this particular data type.
 *
 *		GET_LAST_NODE_FROM_LL_FUNC = the get-last-node function
 *			name for this particular data type.
 *
 *		REMOVE_FROM_LL_FUNC = the remove-from function name for
 *                      this particular data type.
 *
 *		REMOVE_ALL_FROM_LL_FUNC = the remove-all function name for
 *                      this particular data type.
 *
 */


struct LList * APPEND_TO_LL_FUNC ( 
#if NeedFunctionPrototypes
	struct LList ** 
#endif
);

struct LList * INSERT_INTO_LL_FUNC (
#if NeedFunctionPrototypes
        struct LList **, int
#endif
);

int LENGTH_OF_LL_FUNC ( 
#if NeedFunctionPrototypes
	struct LList * 
#endif
);

struct LList * GET_NODE_FROM_LL_FUNC ( 
#if NeedFunctionPrototypes
	struct LList *, int 
#endif
);

struct LList * GET_LAST_NODE_FROM_LL_FUNC ( 
#if NeedFunctionPrototypes
	struct LList * 
#endif
);

void REMOVE_FROM_LL_FUNC ( 
#if NeedFunctionPrototypes
	struct LList **, int 
#endif
);

void REMOVE_ALL_FROM_LL_FUNC ( 
#if NeedFunctionPrototypes
	struct LList ** 
#endif
);

